//
//  VPNUImagesCache.h
//  VPNUnlimitedSDK
//
//  Created by Slava Krusevich on 8/23/18.
//  Copyright © 2018 KeepSolid. All rights reserved.
//

#import <Foundation/Foundation.h>

#if !TARGET_OS_OSX
@class UIImage;
#endif

@interface VPNUImagesCache : NSObject

#if TARGET_OS_OSX
+ (void)imageWithURLPath:(NSString *)imagePath
               imageName:(NSString *)imageName
              completion:(void(^)(NSImage *image))completion;
+ (void)imageWithURLPath:(NSString *)imagePath
               imageName:(NSString *)imageName
                 squared:(BOOL)squared
              completion:(void(^)(NSImage *image))completion;
#else // iOS
+ (void)imageWithURLPath:(NSString *)imagePath
               imageName:(NSString *)imageName
              completion:(void(^)(UIImage *image))completion;
+ (void)imageWithURLPath:(NSString *)imagePath
               imageName:(NSString *)imageName
                 squared:(BOOL)squared
              completion:(void(^)(UIImage *image))completion;
#endif

@end
